Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type.descriptor.java
Class UUIDTypeDescriptor.PassThroughTransformer

    java.lang.Object
      org.hibernate.type.descriptor.java.UUIDTypeDescriptor.PassThroughTransformer

All Implemented Interfaces:
  UUIDTypeDescriptor.ValueTransformer

Enclosing class:
  UUIDTypeDescriptor

    public static class UUIDTypeDescriptor.PassThroughTransformer

extends Object
implements UUIDTypeDescriptor.ValueTransformer

Field Summary
`static UUIDTypeDescriptor.PassThroughTransformer` | `INSTANCE`

Constructor Summary
`UUIDTypeDescriptor.PassThroughTransformer()`

Method Summary
`UUID` | `parse(Object value)`
`UUID` | `transform(UUID uuid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final UUIDTypeDescriptor.PassThroughTransformer INSTANCE

Constructor Detail

### UUIDTypeDescriptor.PassThroughTransformer

    public UUIDTypeDescriptor.PassThroughTransformer()

Method Detail

### transform

    public UUID transform(UUID uuid)

  Specified by:
    `transform` in interface `UUIDTypeDescriptor.ValueTransformer`

### parse

    public UUID parse(Object value)

  Specified by:
    `parse` in interface `UUIDTypeDescriptor.ValueTransformer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.